Get Policies By User
curl --request GET \
--url https://rai-prod.studio.lyzr.ai/v1/rai/policies \
--header 'x-api-key: <api-key>'import requests
url = "https://rai-prod.studio.lyzr.ai/v1/rai/policies"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://rai-prod.studio.lyzr.ai/v1/rai/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"policies": [
{
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"allowed_topics": {
"enabled": true,
"topics": [
"<string>"
]
},
"banned_topics": {
"enabled": true,
"topics": [
"<string>"
]
},
"keywords": {
"enabled": true,
"keywords": [
"<string>"
]
},
"toxicity_check": {
"enabled": true,
"threshold": 123
},
"prompt_injection": {
"enabled": true,
"threshold": 123
},
"secrets_detection": {
"enabled": true,
"action": "<string>"
},
"pii_detection": {
"enabled": true,
"types": {},
"custom_pii": [
"<string>"
]
},
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}API Reference
Get RAI Policies
Get all RAI policies for the authenticated user.
GET
/
v1
/
rai
/
policies
Get Policies By User
Endpoint
GET/v1/rai/policies
Description
Fetches all RAI policies for the authenticated user.Base URL
https://rai-prod.studio.lyzr.ai
Authentication
API Key (x-api-key) must be included in the header.
Curl Request
curl -X GET "https://rai-prod.studio.lyzr.ai/v1/rai/policies" \
-H "accept: application/json" \
-H "x-api-key: sk-default-REDACTED"
⌘I